fix trouble on atoms tests since 5.4.0 without libscilab
[scilab.git] / scilab / modules / atoms / tests / unit_tests / atomsLoad.dia.ref
1 // =============================================================================
2 // Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
3 // Copyright (C) 2009 - DIGITEO - Pierre MARECHAL <pierre.marechal@scilab.org>
4 //
5 //  This file is distributed under the same license as the Scilab package.
6 // =============================================================================
7 // <-- CLI SHELL MODE -->
8 // <-- ENGLISH IMPOSED -->
9 load("SCI/modules/atoms/macros/atoms_internals/lib");
10 // We need a clean version
11 // =============================================================================
12 if ~isempty( atomsGetInstalled() ) then bugmes();quit;end 
13 // If previous test did not end properly, restore, else backup config file
14 atomsRestoreConfig(%T);
15 atomsSaveConfig();
16 //force official ATOMS repository
17 atomsRepositorySetOfl(mgetl(SCI+"/modules/atoms/tests/unit_tests/repositories.orig"));
18 // Set some parameters for the test
19 // =============================================================================
20 atomsSetConfig("autoloadAddAfterInstall","False");
21 atomsSetConfig("Verbose" ,"False");
22 // 1st test-case : Just install the toolbox 5
23 // =============================================================================
24 atomsInstall("toolbox_5");
25 // Check if the module is really installed
26 if ~ and( atomsIsInstalled( ["toolbox_5" "1.2" ; ..
27                              "toolbox_4" "1.1" ; ..
28                              "toolbox_2" "1.0" ; ..
29                              "toolbox_1" "2.0"])) then bugmes();quit;end
30 atomsLoad("toolbox_5");
31
32 Start Toolbox 1
33         Load macros
34
35 Start Toolbox 2
36         Load macros
37
38 Start Toolbox 4
39         Load macros
40
41 Start Toolbox 5
42         Load macros
43
44 if ~ atomsIsLoaded("toolbox_5") then bugmes();quit;end
45 if ~ atomsIsLoaded(["toolbox_5" "1.2"]) then bugmes();quit;end
46 if ~ and(atomsIsLoaded(["toolbox_5"; ..
47                         "toolbox_2"; ..
48                         "toolbox_1"; ..
49                         "toolbox_4"])) then bugmes();quit;end
50 if ~ and(atomsIsLoaded(["toolbox_5" "1.2"; ..
51                         "toolbox_2" "1.0"; ..
52                         "toolbox_1" "2.0"; ..
53                         "toolbox_4" "1.1"])) then bugmes();quit;end
54 if or( t5_version() <> ["Toolbox 5 -> version = 1.2"; ..
55                         "Toolbox 4 -> version = 1.1"; ..
56                         "Toolbox 2 -> version = 1.0"; ..
57                         "Toolbox 1 -> version = 2.0" ] ) then bugmes();quit;end
58 atomsRemove("toolbox_5");
59         the package toolbox_5 (1.2-2) is currently loaded, It will be removed at next Scilab start
60         the package toolbox_4 (1.1-2) is currently loaded, It will be removed at next Scilab start
61         the package toolbox_2 (1.0-2) is currently loaded, It will be removed at next Scilab start
62         the package toolbox_1 (2.0-2) is currently loaded, It will be removed at next Scilab start
63 // Restore original values
64 // =============================================================================
65 atomsRestoreConfig(%T);